# comment out if not needed
%define pre	r2278

Summary:	Mouse and keyboard sharing utility
Name:		synergy
Version:	1.5.0
Release:	%mkrel 1
License:	GPLv2
Url:		http://synergy-foss.org/
Group:		Networking/Remote access
#Source0:	http://synergy.googlecode.com/files/synergy-%{version}-Source.tar.gz
#Source0:	http://fossfiles.com/synergy/synergy-%{version}%{?pre:-%pre}-Source.tar.gz
Source0:	http://synergy-project.org/files/packages/synergy-%{version}%{?pre:-%pre}-Source.tar.gz
# Idea from Debian
Source1:	README.urpmi
# From Debian:
Source20:	synergyc.sgml
Source21:	synergyd.sgml
Source22:	synergy.sgml
Source23:	synergys.sgml
# Originally from Gentoo:
Patch10:	synergy-1.5.0-crytopp.patch
Patch11:	synergy-1.5.0-pthread.patch
Patch12:	synergy-1.5.0-CSocketMultiplexer.patch
Patch13:	synergy-1.5.0-test.patch
# Originally from Debian:
Patch21:	synergy-1.5.0-disable-version-check.patch
BuildRequires:	cryptopp-devel
BuildRequires:	curl-devel
BuildRequires:	docbook-to-man
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxinerama-devel
BuildRequires:	libxtst-devel
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	icoutils
Obsoletes:	synergy-plus < 1.4.5

%description
Synergy lets you easily share a single mouse and keyboard between
multiple computers with different operating systems, each with its
own display, without special hardware.  It's intended for users
with multiple computers on their desk since each system uses its
own display.

%package gui
Summary:	Qt based GUI for %{name}
Group:		Networking/Remote access
Requires:	%{name} = %{version}-%{release}
Provides:	qsynergy = %{version}-%{release}

%description gui
The Synergy GUI is based on QSynergy by Volker Lanz.

%prep
%setup -qn synergy-%{version}-Source
%apply_patches

#fix rigths
chmod 644 doc/* ChangeLog

rm -rf tools/cryptop*

%build
pushd src/gui
	%qmake_qt4
	%make
popd

%cmake
%make

%install
# binaries
install -Dpm755 bin/synergyc %{buildroot}%{_bindir}/synergyc
install -Dpm755 bin/synergyd %{buildroot}%{_bindir}/synergyd
install -Dpm755 bin/synergys %{buildroot}%{_bindir}/synergys
install -Dpm755 bin/synergy %{buildroot}%{_bindir}/synergy

# man pages
#install -Dpm644 doc/synergyc.man %{buildroot}%{_mandir}/man1/synergyc.1
#install -Dpm644 doc/synergys.man %{buildroot}%{_mandir}/man1/synergys.1
for i in %{_sourcedir}/*.sgml; do
	docbook-to-man $i > $(basename $i .sgml).1
	install -Dpm 644 $(basename $i .sgml).1 %{buildroot}%{_mandir}/man1/$(basename $i .sgml).1
done

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat >> %{buildroot}%{_datadir}/applications/%{_real_vendor}-synergy.desktop << EOF
[Desktop Entry]
Name=Synergy
GenericName=Synergy GUI Frontend
Comment=Share your keyboard and mouse over a network
Exec=synergy
Icon=synergy
Type=Application
Categories=Qt;Utility;
EOF

#conf
install -Dpm644 doc/synergy.conf.example %{buildroot}%{_sysconfdir}/%{name}.conf

# icon
icotool -x --palette-size=0 -o . src/gui/res/icons/256x256/synergy.ico

for i in 16 24 32 48 256; do
	install -Dm644 synergy_?_${i}x${i}x32.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/synergy.png
done

# README.urpmi
install -Dpm 644 %{_sourcedir}/README.urpmi .

%files
%doc README.urpmi
%doc ChangeLog
%doc doc/synergy.conf.*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/synergyc
%{_bindir}/synergyd
%{_bindir}/synergys
%{_mandir}/man1/synergyc.*
%{_mandir}/man1/synergyd.*
%{_mandir}/man1/synergys.*

%files gui
%{_datadir}/applications/%{_real_vendor}-synergy.desktop
%{_iconsdir}/hicolor/*/apps/synergy.png
%{_bindir}/synergy
%{_mandir}/man1/synergy.*



%changelog
* Tue Mar 17 2015 wally <wally> 1.5.0-1.mga4
+ Revision: 818714
- new version 1.5.0 (sync with upcoming mga5, mga#12678)
- sync/rediff patches with Gentoo
- rediff version check patch from Debian

* Tue Oct 22 2013 umeabot <umeabot> 1.4.12-3.mga4
+ Revision: 545281
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 wally <wally> 1.4.12-2.mga4
+ Revision: 501025
- add patch to fix linking

* Mon Jun 03 2013 wally <wally> 1.4.12-1.mga4
+ Revision: 436742
- new version 1.4.12
- add patch to build against system cryptopp (originally from OpenBSD)

* Mon Jan 14 2013 umeabot <umeabot> 1.4.10-2.mga3
+ Revision: 383907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 28 2012 wally <wally> 1.4.10-1.mga3
+ Revision: 284966
- new version 1.4.10
- clean .spec a bit

* Fri Jun 01 2012 wally <wally> 1.4.8-1.mga3
+ Revision: 252891
- new version 1.4.8

* Fri Feb 24 2012 wally <wally> 1.4.7-1.mga2
+ Revision: 214126
- new version 1.4.7

* Sun Feb 05 2012 wally <wally> 1.4.6-1.mga2
+ Revision: 204829
- new version 1.4.6
- drop upstreamed gtk3 patch

* Fri Dec 09 2011 wally <wally> 1.4.5-1.mga2
+ Revision: 179781
- new version 1.4.5
- add P0 from upstream to fix some gtk3 compatibility issues
- minor changes in packaging

* Sat Mar 26 2011 wally <wally> 1.4.2-1.mga1
+ Revision: 77777
- new version 1.4.2
- use upstream provided man pages
- create a subpackage for Qt based GUI

* Sat Mar 26 2011 wally <wally> 1.3.6-1.mga1
+ Revision: 77702
- drop buildroot definition
- uncompress S1 and S2
- clean .spec
- imported package synergy


* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 1.3.6-1mdv2011.0
+ Revision: 634737
- rename spec
- rename back to synergy
- New version 1.3.6

* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 1.3.4-2
+ Revision: 634683
- update BR

* Thu Sep 24 2009 Buchan Milne <bgmilne@mandriva.org> 1.3.4-1mdv2010.0
+ Revision: 448148
- import synergy-plus

